Results 1 to 8 of 8

Thread: zlib installation on OpenSuse 12.3 fails

  1. #1

    Default zlib installation on OpenSuse 12.3 fails

    Hi, I want to install Joomla 3 on OpenSuse 12.3 and the last outstanding requirement is installation of zlib.

    I went to this link: software.opensuse.org: but got the following error message:


    Software installation
    Installation was only partially successful.
    The following packages could not be installed
    • zlib

    This happens on more than one PC

    Any assistance will be appreciated

  2. #2
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    3,974

    Default AW: zlib installation on OpenSuse 12.3 fails

    Try as root:
    Code:
    zypper in zlib

  3. #3

    Default Re: zlib installation on OpenSuse 12.3 fails

    Quote Originally Posted by Sauerland View Post
    Try as root:
    Code:
    zypper in zlib
    That's wrong. On 12.3 it would be:
    Code:
    zypper in libz1
    But this should already be installed by default! (if I try to remove it, zypper wants to uninstall most of my system: 1 Paket wird aktualisiert, 7 werden zurückgestuft, 1 neu, 3838 zu entfernen, 7 Anbieterwechsel...)

    @kareljj:
    Why do you think you need to install it?

  4. #4
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    3,974

    Default AW: zlib installation on OpenSuse 12.3 fails

    That's wrong. On 12.3 it would be:
    Code:
    zypper in libz1
    Thanks wolfi323, my fault.

  5. #5

    Default Re: zlib installation on OpenSuse 12.3 fails

    Are you sure you're not wanting to install the zlib-devel?

    Code:
    zypper in zlib-devel

  6. #6

    Default Re: zlib installation on OpenSuse 12.3 fails

    Thank you for all the advice!

    We are lucky enough to have an Open Source Lab, I will test all suggestions and report back here.
    I'm not sure why Joomla 3.1 say it is not installed.

    Doing the same installation on Mint however works without any problems, that is why I think zlib is not installed on Suse 12.3. Will test and let you know, my first problem was that I tried to install zlib not libz1.

    Regards

    Karel

  7. #7

    Default Re: zlib installation on OpenSuse 12.3 fails

    Quote Originally Posted by kareljj View Post
    I'm not sure why Joomla 3.1 say it is not installed.
    Well, Joomla is written in php. So you may be missing the package "php5-zlib"...

  8. #8

    Default Re: zlib installation on OpenSuse 12.3 fails

    Quote Originally Posted by wolfi323 View Post
    Well, Joomla is written in php. So you may be missing the package "php5-zlib"...
    Thank you! That was the obvious solution which I did not see!!!! zlib is installed on Suse but it was still required by PHP!

    Thank you very much ...

    zypper in php5-zlib

    worked 100% !!!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •